/*
 * Copyright (C), 2002-2015, 365
 * FileName: //文件名
 * Author:   hqc
 * Date:     2015年5月5日 下午4:40:12
 * Description: //模块目的、功能描述      
 * History: //修改记录
 * <author>      <time>      <version>    <desc>
 * 修改人姓名             修改时间            版本号                  描述
 */
package com.house365.test;

import org.junit.Test;
import org.springframework.web.client.RestTemplate;

/**
 * 经纪人评价
 * 〈功能详细描述〉
 * @author     yangyang
 */
public class TestBrokerCommentInterface {

    /**
     * 公共地址入口
     */
    private String target = "http://127.0.0.1:8080/house365-cm-web/rest/interface/";
    
    /**
     * 模拟web接口调用
     */
    @Test
    public void webInterfaceTest() {
        
        StringBuffer buffer = new StringBuffer();
        buffer.append("?");
        // 调用服务编码 
        buffer.append("serviceCode=Cm");
        buffer.append("&");
        // 调用服务名称 
        buffer.append("serviceName=BrokerComment");
        // 用户号码参数
        buffer.append("&");
        buffer.append("brokerId=822753");
        buffer.append("&");
        buffer.append("userId=1");
        buffer.append("&");
        buffer.append("criticScore=4");
        buffer.append("&");
        buffer.append("criticContent=XXXXXXXXXXXXXXXXXXXXXXXXXXX");
        buffer.append("&");
        buffer.append("labels=很好,不错,so nice");
        buffer.append("&");
        buffer.append("isAnonymous=1");
        buffer.append("&");
        buffer.append("city=nj");
        //拼接参数
        target += buffer.toString();
        System.out.print(target);   
        // 调用公共容器
        RestTemplate restTemplate = new RestTemplate();
        String result = restTemplate.getForObject(target, String.class);
        
        // 返回处理结果
        System.out.println("接口调用返回值：" );
        System.out.println(result);
    }
}
